| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Public Member Functions | List of all members
cpp_redis::builders::builder_iface Class Referenceabstract

`#include <builder_iface.hpp>`

Inheritance diagram for cpp_redis::builders::builder_iface:

## Public Member Functions
virtual builder_iface & | operator<< (std::string &data)=0
virtual bool | reply_ready (void) const =0
virtual reply | get_reply (void) const =0

## Detailed Description

interface inherited by all builders

## Member Function Documentation

## ◆ get_reply()

virtual reply cpp_redis::builders::builder_iface::get_reply | ( | void |  | ) | const
| pure virtual

Returns
  reply object

Implemented in cpp_redis::builders::integer_builder, cpp_redis::builders::simple_string_builder, cpp_redis::builders::array_builder, cpp_redis::builders::bulk_string_builder, and cpp_redis::builders::error_builder.

## ◆ operator<<()

virtual builder_iface& cpp_redis::builders::builder_iface::operator<< | ( | std::string & | data | ) |
| pure virtual

take data as parameter which is consumed to build the reply every bytes used to build the reply must be removed from the buffer passed as parameter

Parameters

  data | data to be consumed

Returns
  current instance

Implemented in cpp_redis::builders::integer_builder, cpp_redis::builders::simple_string_builder, cpp_redis::builders::array_builder, cpp_redis::builders::bulk_string_builder, and cpp_redis::builders::error_builder.

## ◆ reply_ready()

virtual bool cpp_redis::builders::builder_iface::reply_ready | ( | void |  | ) | const
| pure virtual

Returns
  whether the reply could be built

Implemented in cpp_redis::builders::integer_builder, cpp_redis::builders::simple_string_builder, cpp_redis::builders::array_builder, cpp_redis::builders::bulk_string_builder, and cpp_redis::builders::error_builder.

The documentation for this class was generated from the following file:

- includes/cpp_redis/builders/builder_iface.hpp